using System;
using System.Collections.Generic;
using System.Text;
using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class AlarmDataForAnalysis : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("横坐标")]
        public string Abscissa { get; set; }

        [ExcelColumn("空闲异常时长(小时)")]
        public double Idle { get; set; }

        [ExcelColumn("调试异常时长(小时)")]
        public double Debug { get; set; }

        [ExcelColumn("报警异常时长(小时)")]
        public double Fault { get; set; }

        [ExcelColumn("异常总时长(小时)")]
        public double Total { get; set; }
    }

    public class AlarmDataForAnalysis1 : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("日期")]
        public string Abscissa { get; set; }

        [ExcelColumn("空闲异常时长(小时)")]
        public double Idle { get; set; }

        [ExcelColumn("调试异常时长(小时)")]
        public double Debug { get; set; }

        [ExcelColumn("报警异常时长(小时)")]
        public double Fault { get; set; }

        [ExcelColumn("异常总时长(小时)")]
        public double Total { get; set; }
    }

    public class AlarmDataForAnalysis2 : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("产线区域")]
        public string Abscissa { get; set; }

        [ExcelColumn("空闲异常时长(小时)")]
        public double Idle { get; set; }

        [ExcelColumn("调试异常时长(小时)")]
        public double Debug { get; set; }

        [ExcelColumn("报警异常时长(小时)")]
        public double Fault { get; set; }

        [ExcelColumn("异常总时长(小时)")]
        public double Total { get; set; }
    }

    public class AlarmDataForAnalysis3 : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("录入人员")]
        public string Abscissa { get; set; }

        [ExcelColumn("空闲异常时长(小时)")]
        public double Idle { get; set; }

        [ExcelColumn("调试异常时长(小时)")]
        public double Debug { get; set; }

        [ExcelColumn("报警异常时长(小时)")]
        public double Fault { get; set; }

        [ExcelColumn("异常总时长(小时)")]
        public double Total { get; set; }
    }

    public class AlarmDataForAnalysis4 : ImportBase
    {
        [ExcelColumn("序号")]
        public int No { get; set; }

        [ExcelColumn("工作模式")]
        public string Abscissa { get; set; }

        [ExcelColumn("空闲异常时长(小时)")]
        public double Idle { get; set; }

        [ExcelColumn("调试异常时长(小时)")]
        public double Debug { get; set; }

        [ExcelColumn("报警异常时长(小时)")]
        public double Fault { get; set; }

        [ExcelColumn("异常总时长(小时)")]
        public double Total { get; set; }
    }
}
